python-colorama_0.3.7-1_all.deb


Advertisement

Description

python-colorama - Cross-platform colored terminal text in Python - Python 2.x

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-colorama
Package version 0.3.7
Package release 1
Package architecture all
Package type deb
Installed size 85 B
Download size 22.05 KB
Official Mirror archive.ubuntu.com
Python-colorama provides a simple cross-platform API to print colored terminal
text from Python applications.
ANSI escape character sequences are commonly used to produce colored terminal
text on Unix. Colorama provides some shortcuts to generate these sequences.
This has the happy side-effect that existing applications or libraries which
already use ANSI sequences to produce colored output on Linux.
This package provides the module for Python 2.

Alternatives

Package Version Architecture Repository
python-colorama_0.3.7-1_all.deb 0.3.7 all Ubuntu Universe
python-colorama - - -

Requires

Name Value
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-colorama_0.3.7-1_all.deb
Source Package python-colorama

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-colorama deb package:
    # sudo apt-get install python-colorama

Files

Path
/usr/lib/python2.7/dist-packages/colorama/__init__.py
/usr/lib/python2.7/dist-packages/colorama/ansi.py
/usr/lib/python2.7/dist-packages/colorama/ansitowin32.py
/usr/lib/python2.7/dist-packages/colorama/initialise.py
/usr/lib/python2.7/dist-packages/colorama/win32.py
/usr/lib/python2.7/dist-packages/colorama/winterm.py
/usr/lib/python2.7/dist-packages/colorama-0.3.7.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/colorama-0.3.7.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/colorama-0.3.7.egg-info/top_level.txt
/usr/share/doc/python-colorama/README.Debian
/usr/share/doc/python-colorama/README.rst.gz
/usr/share/doc/python-colorama/changelog.Debian.gz
/usr/share/doc/python-colorama/copyright
/usr/share/doc/python-colorama/examples/demo.sh
/usr/share/doc/python-colorama/examples/demo01.py
/usr/share/doc/python-colorama/examples/demo02.py
/usr/share/doc/python-colorama/examples/demo03.py
/usr/share/doc/python-colorama/examples/demo04.py
/usr/share/doc/python-colorama/examples/demo05.py
/usr/share/doc/python-colorama/examples/demo06.py
/usr/share/doc/python-colorama/examples/demo07.py
/usr/share/doc/python-colorama/examples/demo08.py
/usr/share/doc/python-colorama/examples/fixpath.py

Changelog

2016-03-08 - Barry Warsaw <barry@debian.org>
python-colorama (0.3.7-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* d/control: Bump Standards-Version to 3.9.7 with no other changes needed.
2016-02-09 - Barry Warsaw <barry@debian.org>
python-colorama (0.3.6-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* d/control:
- Fix long description for python3-colorama (Closes: #810541)
- Remove python-colorama-whl binary package as it's no longer needed.
- Remove python3-wheel from, and add dh-python to, Build-Depends.
- Remove unnecessary XS-Testsuite field.
- Bump X-Python-Version to 2.7 and X-Python3-Version to 3.4.
* d/python-colorama-whl.install: Removed.
* d/rules:
- Convert to --buildsystem=pybuild.
- Remove override_dh_auto_install and override_dh_clean.
* d/tests:
- control: Simplify by using Test-Command fields for the smoke tests.
- smoketest-{2,3,whl}: Removed.
2015-05-01 - Barry Warsaw <barry@debian.org>
python-colorama (0.3.3-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* d/control: Bump Standards-Version to 3.9.6
* d/watch: Use pypi.debian.net mirror.
2014-09-12 - Barry Warsaw <barry@debian.org>
python-colorama (0.3.2-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* d/docs: Updated.
2014-09-02 - Barry Warsaw <barry@debian.org>
python-colorama (0.3.1-1) unstable; urgency=medium
* Team upload.
* d/control:
- With permission of the MIA team, added DPMT to Uploaders.
- Added XS-Testsuite header.
* d/tests: Added DEP-8 tests.
2014-05-20 - Barry Warsaw <barry@debian.org>
python-colorama (0.3.1-0.1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream release.
* d/control:
- Bumped Standards-Version to 3.9.5 with no other changes necessary.
- Added X-Python3-Version header.
- Added python3-wheel to Build-Depends.
- Added the python-colorama-whl binary package. (Closes: #748797)
* d/rules: Build the universal wheel.
* d/python-colorama-whl.install: Added.
2014-04-12 - David Prévot <taffit@debian.org>
python-colorama (0.2.5-0.2) unstable; urgency=medium
* Non-maintainer upload.
* Build-depend on python3-all to avoid FTBFS (Closes: #743101)
2013-07-25 - Thomas Goirand <zigo@debian.org>
python-colorama (0.2.5-0.1) unstable; urgency=low
* Non-maintainer upload.
* New upstream release (Closes: #704892).
* Added support for python3 (Closes: #717789, #704893), and include the
corresponding python3 and python3-setuptools build-depends.
* Added missing build-depends: python{3,}-setuptools.
2012-07-17 - Evgeni Golov <evgeni@debian.org>
python-colorama (0.2.4-1.1) unstable; urgency=low
* Non-maintainer upload.
* Use dh_python2.
Build-Depend on python (>= 2.6.6-3~) for that.
Add python:Depends to Depends.
Closes: #681584
2012-03-06 - Khalid El Fathi <khalid@elfathi.fr>
python-colorama (0.2.4-1) unstable; urgency=low
* Initial release (Closes: #662761)

See Also

Package Description
python-colorlog_2.6.0-1_all.deb formatter to use with the logging module of Python 2
python-comedilib_0.10.2-4_amd64.deb Python wrapper for Comedilib
python-commandnotfound_0.3ubuntu16.04_all.deb Python 2 bindings for command-not-found
python-commando_0.3.4-1.1_all.deb wrapper for argparse to define declaratively
python-compizconfig_0.9.12.2+16.04.20160415-0ubuntu1_amd64.deb Compizconfig bindings for Python
python-confargparse_1.1.20-2build1_amd64.deb argument/configuration file parser with the syntax of argparser (Python 2)
python-configargparse_0.10.0-2_all.deb replacement for argparse with config files and environment variables (Python 2)
python-configglue_1.1.2-0ubuntu3_all.deb Glues together optparse.OptionParser and ConfigParser.ConfigParser
python-configparser_3.3.0r2-2_all.deb backport of the enhanced config parser introduced in Python 3.2
python-configshell_1.6.1~g020d540-2_all.deb framework to create cli interfaces
python-congress_3.0.0+dfsg1-1_all.deb OpenStack Policy as a Service - Python libraries
python-congressclient-doc_1.2.3-2_all.deb client for the open policy framework for the cloud - doc
python-congressclient_1.2.3-2_all.deb client for the open policy framework for the cloud - Python 2.x
python-construct_2.5.2-0.1_all.deb powerful declarative parser (and builder) for binary data
python-contract_1.4-4_all.deb Programming by contract for Python
Advertisement
Advertisement